Skip to main content
PATCH
Transition Lifecycle

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_identifier
string
required

Collection ID or name

Body

application/json
lifecycle_state
enum<string>
required

Target lifecycle state for the collection

Available options:
active,
cold,
archived
async_transition
boolean
default:true

If False, block until the transition completes

Response

Successful Response

collection_id
string
required
lifecycle_state
enum<string>
required
Available options:
active,
cold,
archived
s3_vector_index
string | null
vector_document_count
integer | null
s3_vector_count
integer | null
last_transitioned_at
string<date-time> | null
task_id
string | null
warning
string | null